import common from '../../utils/util';
import main from '../../utils/main';

const app = getApp();

Page({
  data: {
  },
  onLoad: function () {
    var that = this;

    that.setData({
      Containnerheight: main.getWindowHeight(),
    });
    
  },
  onShow: function () {
    var that = this;
    common.getStorageValue(that, "CardType", 0, function () {});
  },
  setColorPlan: function () {
    wx.navigateTo({
      url: './colorplan',
    })
  },
  setPattern: function () {
    wx.navigateTo({
      url: './pattern',
    })
  },
  setClickType: function () {
    wx.navigateTo({
      url: './clicktype',
    })
  },
  goto: function (e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url,
    });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
});